## Apache Zeta Components Manual :: Docs For Class ezcSearchResultDocument

### Search::ezcSearchResultDocument

### Class ezcSearchResultDocument

The struct contains the result as parsed by the different search handlers.

Source for this file: /Search/src/structs/search_result_document.php

Version: | //autogentag//

### Member Variables

public object(mixed) | `$document` Document itself
public array(string=>string) | `$highlight` The highlighted fields The index is the field name, and the value the highlighted value.
public float | `$score` Document score

### Method Summary

public static ezcSearchResult | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcSearchResultDocument | `__construct( [ $score = 0] , [ $document = null] , [ $highlight = array()] )` Contructs a new ezcSearchResultDocument.

### Methods

#### __set_state

static ezcSearchResult __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcSearchResultDocument __construct( [float $score = 0] , [object(mixed) $document = null] , [array(string=>string) $highlight = array()] )

Contructs a new ezcSearchResultDocument.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$score` | float |
`$document` | object(mixed) |
`$highlight` | array(string=>string) |

Documentation generated by phpDocumentor 1.4.3